# $Revision: 1.11 $, $Date: 2003/03/14 08:38:39 $
#
# Conditional build:
# _with_systemlibs	- use system libraries instead of modified ones
#                         (modified can give little better results)
#
Summary:	Optimizer for png files
Summary(pl):	Optymalizator plikw png
Summary(pt_BR):	Utilitrio para compresso de pngs
Name:		pngcrush
Version:	1.5.10
Release:	1
License:	GPL
Group:		Applications/Graphics
Source0:	http://dl.sourceforge.net/pmt/%{name}-%{version}.tar.bz2
URL:		http://pmt.sf.net/pngcrush/
%if 0%{?_with_systemlibs:1}
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program reads in a PNG image, and writes it out again, with the
optimum filter_method and zlib_level. It uses brute force (trying
filter_method none, and libpng adaptive filtering, with compression
levels 3 and 9). It does the most time-consuming method last in case
it turns out to be the best.

%description -l pl
Ten program wczytuje obrazek PNG i zapisuje go ponownie z optymalnymi
parametrami filter_method i zlib_level. Uywa metody brute force
(prbuje filter_method none oraz adaptacyjnego filtrowania libpng ze
stopniami kompresji 3 i 9).

%description -l pt_BR
O pngcrush  um otimizador para arquivos PNG (Portable Network
Graphics). Ele pode comprimir os arquivos em at 40%, sem perdas.

%prep
%setup -q

%if 0%{?_with_systemlibs:1}
# workaround for Makefile and #include "png.h"
echo '#include <png.h>' > png.h
%endif

%build
%{__make} -f Makefile.gcc \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall" \
%if 0%{?_with_systemlibs:1}
	OBJS="pngcrush.o" \
	LDFLAGS="%{rpmldflags} -lpng -lz"
%endif

# create some real documentation
# NOTE: remember to update line numbers on upgrade!
head -n 24 pngcrush.c | cut -b 4- > README
head -n 378 pngcrush.c | tail -n 310 | cut -b 4- > CHANGELOG
head -n 415 pngcrush.c | tail -n 35 | cut -b 4- > TODO

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install pngcrush $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGELOG TODO README.txt
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pngcrush.spec,v $
Revision 1.11  2003/03/14 08:38:39  qboosh
- fixed bcond, added note about line numbers

Revision 1.10  2003/03/13 22:32:24  wolf
- updating is not just bumping %%version, kloczek

Revision 1.9  2003/03/13 19:50:46  kloczek
- updated to 1.5.10: bug fixes,
- added system-libs patch for linking pngcrush with system avalaible libpng an libz
  (based on patch from Conectiva).

Revision 1.8  2003/03/13 17:44:34  qboosh
- use system libs only on bcond (by default modified ones)

Revision 1.7  2003/03/12 16:37:23  wolf
- modified zlib isn't there for decoration (qboosh, didn't you get my mail?)

Revision 1.6  2003/03/10 20:17:41  qboosh
- up to 1.5.9, use system libpng+zlib

Revision 1.5  2003/03/10 13:53:43  qboosh
- working Source URL

Revision 1.4  2002/11/29 22:45:55  ankry
- massive attack: new %%doc

Revision 1.3  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/02/12 01:53:38  kloczek
- merge translations from Conectiva and adapterize spec file.

Revision 1.1  2002/02/10 15:31:12  wolf
- initial release
